%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A C++ wrapper-class for the great library PCRE
Name:		pcre++
Version:	0.9.5
Release:	%mkrel 4
Group:		System/Libraries
License:	LGPL
URL:		http://www.daemon.de/PCRE
Source0:	http://www.daemon.de/files/mirror/ftp.daemon.de/scip/Apps/pcre++/%{name}-%{version}.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:	libxslt-proc
BuildRequires:	libopenssl-devel
BuildRequires:	libpcre-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
PCRE++ is a C++ wrapper-class for the great library PCRE. (Perl Compatible
Regular Expressions), which is available on External Link http://www.pcre.org/
by Philip Hazel. It class allows you to use perl alike regular expressions in
your C++ applications. You can use it to search in strings, to split strings
into parts using expressions or to search and replace a part of a string with
another part.

%package -n	%{libname}
Summary:	A C++ wrapper-class for the great library PCRE
Group:          System/Libraries

%description -n	%{libname}
PCRE++ is a C++ wrapper-class for the great library PCRE. (Perl Compatible
Regular Expressions), which is available on External Link http://www.pcre.org/
by Philip Hazel. It class allows you to use perl alike regular expressions in
your C++ applications. You can use it to search in strings, to split strings
into parts using expressions or to search and replace a part of a string with
another part.

%package -n	%{develname}
Summary:	Static library and header files for the pcre++ library
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0 -d}

%description -n	%{develname}
PCRE++ is a C++ wrapper-class for the great library PCRE. (Perl Compatible
Regular Expressions), which is available on External Link http://www.pcre.org/
by Philip Hazel. It class allows you to use perl alike regular expressions in
your C++ applications. You can use it to search in strings, to split strings
into parts using expressions or to search and replace a part of a string with
another part.

This package contains the static pcre++ library and its header files.

%prep

%setup -q -n %{name}-%{version}

# fix attribs
find . -type d -perm 0750 -exec chmod 755 {} \;
find . -type f -perm 0640 -exec chmod 644 {} \;

%build
#export WANT_AUTOCONF_2_5=1
#rm -f configure
#libtoolize --copy --force; aclocal-1.8; autoheader; automake -a; autoconf --force

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# cleanup
rm -rf %{buildroot}%{_prefix}/doc

%multiarch_binaries %{buildroot}/%{_bindir}/pcre++-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/html/*
%{_bindir}/pcre++-config
%multiarch %{multiarch_bindir}/pcre++-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*


%changelog
* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4mdv2008.0
+ Revision: 83687
- fix deps

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-3mdv2008.0
+ Revision: 68930
- conform to the 2008 specs


* Sun Jan 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-2mdv2007.0
+ Revision: 108840
- rebuild
- Import pcre++

* Sun Jan 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.1
- initial Mandriva package

